| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::LodOutsideMarker Class Reference
Optional Components » MeshLodGenerator

This class will mark vertices of a mesh, which are visible from far away (from outside). More...

`#include <OgreLodOutsideMarker.h>`

## Public Member Functions
| LodOutsideMarker (LodData::VertexList &vertexList, Real boundingSphereRadius, Real walkAngle)
MeshPtr | createConvexHullMesh (const String &meshName, const String &resourceGroupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)
| Mark vertices, which are visible from outside. More...
bool | isVertexOutside (LodData::Vertex *v)
| Returns a mesh containing the Convex Hull shape. More...
void | markOutside ()

## Detailed Description

This class will mark vertices of a mesh, which are visible from far away (from outside).

Triangle is visible if each vertex of it is visible.

## Constructor & Destructor Documentation

## ◆ LodOutsideMarker()

Ogre::LodOutsideMarker::LodOutsideMarker | ( | LodData::VertexList & | vertexList,
|  | Real | boundingSphereRadius,
|  | Real | walkAngle
| ) |  |

Parameters

  vertexList | List of vertices. vertex.position is the input and vertex.isOuterWallVertex is the output of the algorithm.
  walkAngle | Walk angle in dot product values. Allowed range is from -1 to 1. Default = 0. Smaller value is bigger angle. If you set it to 1 then you can disable walking and it will only mark the vertices on the convex hull.

## Member Function Documentation

## ◆ markOutside()

void Ogre::LodOutsideMarker::markOutside | ( |  | ) |

## ◆ createConvexHullMesh()

MeshPtr Ogre::LodOutsideMarker::createConvexHullMesh | ( | const String & | meshName,
|  | const String & | resourceGroupName = `ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME`
| ) |  |

Mark vertices, which are visible from outside.

## ◆ isVertexOutside()

bool Ogre::LodOutsideMarker::isVertexOutside | ( | LodData::Vertex * | v | ) |
| inline

Returns a mesh containing the Convex Hull shape.

The documentation for this class was generated from the following file:

- OgreLodOutsideMarker.h